## org.eclipse.jetty.servlet
Class FilterHolder

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.servlet.Holder<Filter>
              org.eclipse.jetty.servlet.FilterHolder

All Implemented Interfaces:
  LifeCycle

    public class FilterHolder

extends Holder<Filter>

Nested Class Summary
`protected class` `FilterHolder.Registration`

Nested classes/interfaces inherited from class org.eclipse.jetty.servlet.Holder
`Holder.HolderConfig, Holder.HolderRegistration`

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.servlet.Holder
`_asyncSupported, _class, _className, _displayName, _extInstance, _initParams, _name, _servletHandler`

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`FilterHolder()` Constructor
`FilterHolder(Class<? extends Filter> filter)` Constructor
`FilterHolder(Filter filter)` Constructor for existing filter.

Method Summary
`void` `destroyInstance(Object o)`
`void` `doStart()`
`void` `doStop()`
`Filter` `getFilter()`
`FilterRegistration.Dynamic` `getRegistration()`
`void` `setFilter(Filter filter)`
`String` `toString()`

Methods inherited from class org.eclipse.jetty.servlet.Holder
`getClassName, getDisplayName, getHeldClass, getInitParameter, getInitParameterNames, getInitParameters, getName, getServletHandler, illegalStateIfContextStarted, isAsyncSupported, isInstance, setAsyncSupported, setClassName, setDisplayName, setHeldClass, setInitParameter, setInitParameters, setName, setServletHandler`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterHolder

    public FilterHolder()

  Constructor

### FilterHolder

    public FilterHolder(Class<? extends Filter> filter)

  Constructor

### FilterHolder

    public FilterHolder(Filter filter)

  Constructor for existing filter.

Method Detail

### doStart

    public void doStart()
                 throws Exception

  Overrides:
    `doStart` in class `Holder<Filter>`
  Throws:
    `Exception`

### doStop

    public void doStop()
                throws Exception

  Overrides:
    `doStop` in class `Holder<Filter>`
  Throws:
    `Exception`

### destroyInstance

    public void destroyInstance(Object o)
                         throws Exception

  Overrides:
    `destroyInstance` in class `Holder<Filter>`
  Throws:
    `Exception`

### setFilter

    public void setFilter(Filter filter)

### getFilter

    public Filter getFilter()

### toString

    public String toString()

  Overrides:
    `toString` in class `Holder<Filter>`

### getRegistration

    public FilterRegistration.Dynamic getRegistration()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.